> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/appendix/custom-user-metadata.md).

# Custom User Metadata

Custom metadata allows you to store text-based key-value user properties into the Sentiance Platform. These keys and values are treated as opaque strings and are meant for retrieval only. There is a limit of 50 properties per user and a limit of 500 characters for keys and values.

Typical examples include custom user and application-related properties you need after the processing.

## Example

Here we will add a single field "correlation\_id" to the metadata, with a value of '3a5276ec-b2b2-4636-b893-eb9a9f014938'.

{% tabs %}
{% tab title="iOS" %}

```swift
Sentiance.shared.addUserMetadataFields(["correlation_id": "3a5276ec-b2b2-4636-b893-eb9a9f014938"])
```

{% endtab %}

{% tab title="Android" %}

```kotlin
sentiance.addUserMetadataField("correlation_id", "3a5276ec-b2b2-4636-b893-eb9a9f014938")
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/appendix/custom-user-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
